# constantes erreurs retours de fonctions
EXIT_SUCCESS=0
EXIT_ERROR=1

function verification_environnement_initialisation_script() {
  #
  # Cette méthode permet de savoir si le script ajout_colonne_in_graph_db.sh peut se lancer avec les bonnes variables
  # de départ et le bonne environnement
  # Elle prend en paramètre :
  # -le chemin vers le dossier de sauvegarde des choix de l'utilisateur
  #

  dossier_sauvegarde=$1

  bon_dosier_courant

  # le script doit être lancé dans un environnement virtuel avec django d'installé
  if [[ -z $VIRTUAL_ENV ]] || [[ -z $(find "$VIRTUAL_ENV" -iname 'django' -type d) ]]
  then
        echo "pour faire tourner ce programme vous devez utiliser l'environment virtuel possédant django"
        exit $EXIT_ERROR
  fi

  #le fichier $dossier_sauvegarde doit être dans le dossier courant et doit donner le droit de le lire
  if [[ ! (-r $dossier_sauvegarde) ]]
  then
    echo "le fichier de sauvegarde de vos choix \"sauvegarde_var\" n'existe pas"
    exit $EXIT_ERROR
  fi
}

function bon_dosier_courant() {
  #
  # Cette méthode va vérifier si le script est appelé depuis le bon dossier, sinon elle quitte avec une erreur
  #

  chemin_dossier_courant=$(pwd)
  if [[ ${chemin_dossier_courant: -15} != "Shell_directory" ]]
  then
    echo "Vous n'êtes pas dans le bon dossier courant"
    exit $EXIT_ERROR
  fi
}